LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File ocaml-findlib.changes of Package ocaml-findlib (Project home:deltafox)

-------------------------------------------------------------------
Mon Jul 17 20:24:18 UTC 2017 - ohering@suse.de

-  Update to upstream version 1.7.3
   Fix regarding num-top: this library is now also  optional, as num.
   Trying to protect against failures when  several package installs are done in parallel.
   New subpackage "findlib.top" for the toploop
   The "num" library is now optional.
   New command "ocamlfind printppx" that outputs how the ppx preprocessor would be called
   Support for the raw_spacetime library that comes with OCaml 4.04
   Require that ocamlc and ocamlc.opt are installed to the same directory
   "ocamlfind printconf" respects the  environment variable OCAMLFIND_CONF
   Build with -opaque
   Preliminary support for native toplevel
   New options: ocamlfind query -qe -qo

-------------------------------------------------------------------
Mon Jul 17 12:48:58 UTC 2017 - ohering@suse.de

- Wrap specfile conditionals to fix quilt setup

-------------------------------------------------------------------
Mon Jul 17 10:48:58 UTC 2017 - ohering@suse.de

- Remove autodeps for pre openSUSE 12.1 releases

-------------------------------------------------------------------
Wed May 18 21:34:23 UTC 2016 - ohering@suse.de

-  Update to upstream version 1.6.2 (fate#320836)
   Adding an "ocamldoc" library, providing the cmi's for ocamldoc plugins
   Support for OCaml-4.03: recognize that the new -color option has an argument
   Adding support for dynamically loading  packages
   new "plugin" variable, new  Fl_dynload module.
   New command "ocamlfind lint" for checking META files
   Allow to query the location of the META file of a package:
   "ocamlfind query -format '%m'"
   Get the install path for the META file of packages:
   "ocamlfind printconf metapath"
   The switch -only-show did not work as described.

-------------------------------------------------------------------
Tue Nov 10 10:18:47 UTC 2015 - ohering@suse.de

- Add hardcoded Provides for pre 12.1 repos

-------------------------------------------------------------------
Thu Oct 23 17:01:25 UTC 2014 - ohering@suse.de

-  Update to upstream version 1.5.5
   New ppxopt META variables.
   Support for OCAMLFIND_TOOLCHAIN environment variable.

-------------------------------------------------------------------
Thu Oct 23 12:40:36 UTC 2014 - ohering@suse.de

- BuildRequire ocaml-rpm-macros

-------------------------------------------------------------------
Fri Oct 10 17:07:25 UTC 2014 - ohering@suse.de

- BuildRequire at least ocaml 4.02

-------------------------------------------------------------------
Wed Oct  8 14:18:37 CEST 2014 - ohering@suse.de

-  Update to upstream version 1.5.3
   The installation of "bytes" respects now $prefix and the
   configured destination.
   New option -pp for "ocamlfind query", to get preprocessor
   packages.  Updated the compatibility Bytes module to support
   extend, init, mapi,  blit_string.
-  1.5.2: support for the query formats "%+a" and "%+A".
   Fix: the "ppx" property is now also path-expanded when
   interpreted in a toploop.
   Fix: implicit "ppx" is not path-expanded anymore.
   Fix: Build bytes.cmxs only if natdynlink is enabled.
-  1.5.1: includes a file that was missing in 1.5
-  1.5: Including the "bytes" package that is either a compat
   package for ocaml < 4.02 or a fake package for ocaml >= 4.02.
   The package aims at helping to support the transition to the new
   "bytes" type for mutable strings.
   Also installing findlib.cmxs if OCaml supports it.
   Allowing to disable camlp4 (in prep for OCaml-4.02).
   The "ppx" package property can be specified for constructing
   ppx-type preprocessor.
-  1.4.1:ocamldoc: The order of -ppopt arguments was changed by
   ocamlfind, which is not correct.
-  1.4: Fixed performance bug when many arguments need to be processed.
   Auto-configuring ocamldoc.opt if it is found.
   New config switch -no-custom to prevent that "ocamlfind" is
   linked in custom-runtime mode (bytecode only).
   The library dbm is no longer part of OCaml, and now optional in
   findlib 
   Support for ocamloptp.
   New function Topfind.log for controlling the verbosity.
   Rewritten Fl_metascanner without camlp4

-------------------------------------------------------------------
Mon Jun  3 09:23:34 CEST 2013 - ohering@suse.de

- Recompress with xz

-------------------------------------------------------------------
Fri Mar  8 14:17:16 CET 2013 - ohering@suse.de

- remove ExclusiveArch, its a generic package which depends on ocaml

-------------------------------------------------------------------
Thu Feb 21 14:27:14 CET 2013 - ohering@suse.de

- package compiler-libs/

-------------------------------------------------------------------
Wed Jan 16 16:03:19 CET 2013 - ohering@suse.de

- disable also /usr/lib/rpm/find-debuginfo.sh

-------------------------------------------------------------------
Mon Jan 14 15:58:16 CET 2013 - ohering@suse.de

- disable strip, it destroys bytecode binaries

-------------------------------------------------------------------
Mon Jan 14 10:07:21 CET 2013 - ohering@suse.de

- change Requires: version-release to just Requires: version

-------------------------------------------------------------------
Fri Nov 23 18:05:49 CET 2012 - ohering@suse.de

- restore BuildRequire ocaml-camlp4-devel because the solver
  triggers only on package names

-------------------------------------------------------------------
Tue Nov 13 21:40:32 CET 2012 - ohering@suse.de

- add DESTDIR support

-------------------------------------------------------------------
Tue Sep 18 15:38:11 CEST 2012 - ohering@suse.de

- BuildRequire just camlp4 to allow build within sles11 [fate#312159]

-------------------------------------------------------------------
Sun Sep 16 20:05:17 CEST 2012 - ohering@suse.de

-  Update to upstream version 1.3.3
-  1.3.3: OCaml-4: using the new #remove_directory directive  if present.
   Better compatibility with the OCaml version from Homebrew.
   
-  1.3.2: Handling of empty arguments (Wojciech Meyer).
   Added entry for camlp4.fulllib.
   New switch -add for "ocamlfind install" (Hans Ole Rafaelsen).
   Further fixes for ocaml-4.00.
   Fixing the recognition of double .cmi interface files.
   Fixing -dontlink (it is now deeply interpreted).
   
-  1.3.1: Fixing a bug with ocamlmklib that slipped through in 1.3.0
   
-  1.3.0: Fixes for ocaml-4.00 (especially topfind).
   Emitting an error if the configuration file does not exist.
   Emitting a warning if the selected toolchain does not exist.
   camlp4 is referenced by "+camlp4" in META.
   Including the sources for the documentation in the tarball.
   License change (simplification) for num_top_printers.mli.
   Fix ocamlmklib wrapper: processing contracted args (like -L/dir) correctly.
   Many wrappers get a new option -passrest instructing to pass all remaining 
   options on the command-line unchanged to the invoked tool.
   Prettified -help output.
   
-  1.2.8: Adding support for ocamlmklib (B. Meurer's patches)
   Fix for win32 in the configure script.

-------------------------------------------------------------------
Thu Sep 15 01:23:49 UTC 2011 - ampsaltis@gmail.com

- Remove some unneeded commands in the build section

-------------------------------------------------------------------
Fri Jul 22 16:18:43 UTC 2011 - ampsaltis@gmail.com

- Fix license (sort of, they're the same thing, really)
- Primary package provides ocamlfind
- Fixed some rpmlint warnings

-------------------------------------------------------------------
Fri Jun 17 13:43:16 UTC 2011 - ampsaltis@gmail.com

- Use ocaml-camlp4-devel in BuildRequires

Wed May 18 19:12:42 UTC 2011 - ampsaltis@gmail.com
-------------------------------------------------------------------
- Add this file.
- New upstream version 1.2.7
- Fix: if a META file defines several packages, and one of the packages
has a broken dependency, ocamlfind used to report all errors even if
the broken packages were not used. This is now changed - broken
subpackages are ignored when they are not needed, in the same way as
broken top-level packages are ignored when not needed. (Thanks to
Sylvain Le Gall for reporting the problem.)
- Added -thread and -vmthread switches to "ocamlfind ocamldoc".
These actually only add the right predicates. (Thanks to Vladimir
Ivanov for pointing this problem out.)
- Package warnings can be emitted by "ocamlfind ocamldoc".

-------------------------------------------------------------------
Wed Apr 20 00:00:00 UTC 2011 - ampsaltis@gmail.com

- Use internal dependency generator